Package org.globus.ftp.extended

# Class GridFTPOutputStream

java.lang.Object
java.io.OutputStream
org.globus.gsi.gssapi.net.GssOutputStream
org.globus.ftp.extended.GridFTPOutputStream

All Implemented Interfaces:
  `Closeable`, `Flushable`, `AutoCloseable`

public class GridFTPOutputStream extends GssOutputStream

## Field Summary

### Fields inherited from class org.globus.gsi.gssapi.net.GssOutputStream

`autoFlush, buff, context, index, out`

## Constructor Summary

Constructors
Constructor
Description
`GridFTPOutputStream(OutputStream out, GSSContext context)`

## Method Summary

Modifier and Type
Method
Description
`void`
`flush()`
`void`
`writeHandshakeToken(byte[] token)`

### Methods inherited from class org.globus.gsi.gssapi.net.GssOutputStream

`close, getAutoFlush, setAutoFlush, wrap, write, write, write`

### Methods inherited from class java.io.OutputStream

`nullOutputStream`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### GridFTPOutputStream

public GridFTPOutputStream(OutputStream out, GSSContext context)

## Method Details

### flush

public void flush() throws IOException

Specified by:
  `flush` in interface `Flushable`
Specified by:
  `flush` in class `GssOutputStream`
Throws:
  `IOException`

### writeHandshakeToken

public void writeHandshakeToken(byte[] token) throws IOException

Throws:
  `IOException`